require_relative '../studio_game/die'
require_relative '../studio_game/loaded_die'
require_relative '../studio_game/player'
require_relative '../studio_game/treasure_trove'

module StudioGame

	module GameTurn

		def self.take_turn(p)

			die = Die.new
				
			case die.roll
			when 1..2
				p.blam
			when 3..4
				puts "#{p.name} was skipped"
			else
				p.w00t
			end
			
			treasure = TreasureTrove.random_treasure
			p.found_treasure(treasure)

		end


	end
end